From 0c96f4baf47f20236ad7e15a75cab705be2c9afa Mon Sep 17 00:00:00 2001
From: Remy DeCausemaker <decause@redhat.com>
Date: Jun 07 2015 21:35:37 +0000
Subject: [PATCH 93/1001] Added NotImplementedError for Cache Invalidation


---

diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index e248a8c..bd2323b 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -27,12 +27,5 @@ def data(session, widget, username):
     )
 
 
-# TODO -- add topic-based hinting here.  Solved.
 def should_invalidate(message, session, widget):
-    if message['topic'].endswith('hubs.hub.update'):
-        if message['msg']['hub']['name'] == widget.hub.name:
-            return True
-
-    # TODO -- also check for FAS group changes??  are we doing that?
-
-    return False
+    raise NotImplementedError

